#include <ncurses.h>

#include "bclass.h"
#include "event.h"
#include "tscreen.h"
#include "types.h"
#include "xobject.h"
#include "xtext.h"

class XtRegWin : public XtWindow {
 public:
  XtRegWin(XRect r) : XtWindow(r, "Registered Objects")
    {
    objclass = "XTREGWIN";
    setframe(fs_default);
    };
  virtual void update()
    {
    XObject *temp;
    unsigned i = 2;
    if(!getstate(SM_VISIBLE))
      XtWindow::draw();
    colorwindow(XRect(bounds.a.x + 1, bounds.a.y + 1, bounds.b.x - 1, bounds.b.y - 1), pal[0], pal[1], A_BOLD);
    init_pair(1, pal[0], pal[1]);
    attrset(COLOR_PAIR(1));
    mvaddstr(bounds.a.y + 1, bounds.a.x + 2, "OID  BOUNDS           OBJCLASS STATE");
    for(unsigned cid = 0x0f; cid < newid; cid++)
      if(isObjectRegistered(cid))
        {
        temp = getoptr(cid);
        mvprintw(bounds.a.y + i++, bounds.a.x + 2, "%04x (%2d, %2d, %2d, %2d) %7s %x", cid, temp->bounds.a.x, temp->bounds.a.y, temp->bounds.b.x, temp->bounds.b.y, temp->objclass, temp->state);
        }
    };
};

main()
{
  #define newwndPalette "\x00\x07\x00\x07\x00\x07\x00\x02\x00\x02\x07\x00"
  XtWindow *win, *win1;
  XtRegWin *reg;
  XtStaticText *text;
  xinit();
  keypad(stdscr, 0);               /* so getch() will wait a key press */
  reg = new XtRegWin(XRect(41, 1, 80, 7));
  reg->update();
  getch();
  win = new XtWindow(XRect(10, 10, 70, 20), "Test");
  win->draw();
  reg->update();
  getch();
  win1 = new XtWindow(XRect(25, 7, 55, 16), "win1");
  win1->setpalette(newwndPalette);
  win1->setframe(fs_default);
  text = new XtStaticText(XRect(5, 5, 10, 5), AS_CENTER, "Hello, World!");
  win1->registerclient(text);
  win1->draw();
  reg->update();
  getch();
  delete win1;
  reg->update();
  getch();
  delete win;
  reg->update();
  getch();
  delete reg;
  xdone();
}
