/*
  tscreen.h
  
  Definitions for help functions using ncurses

  Copyright (c) 1995-96 by Dragos Acostachioaie & Adrian Teohar
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _TSCREEN_H_
#define _TSCREEN_H_

#include "bclass.h"

/* Some keystrokes, that ncurses does not define them */
#define KB_BACK 0x007f

#define FS_DOUBLEFRAME "\xc9\xcd\xbb\xba\xba\xc8\xcd\xbc"

extern char fs_default[9];

void fillwindow(XRect r, int c);
void colorwindow(XRect r, int f, int b, unsigned long attr);
void putwindow(XRect r, chtype *buff);
void getwindow(XRect r, chtype *&buff);
void _border(XRect r, char *frame);

#endif
